<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'pushpa_layout',
	array(
		'title'               => esc_html__('Layout','pushpa'),
		'description'         => esc_html__( 'Layout section options.', 'pushpa' ),
		'panel'               => 'pushpa_theme_options_panel',
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[site_layout]',
	array(
		'sanitize_callback'   => 'pushpa_sanitize_select',
		'default'             => $options['site_layout'],
	)
);

$wp_customize->add_control(  new  pushpa_Custom_Radio_Image_Control ( $wp_customize,
	'pushpa_theme_options[site_layout]',
		array(
			'label'               => esc_html__( 'Site Layout', 'pushpa' ),
			'section'             => 'pushpa_layout',
			'choices'			  => pushpa_site_layout(),
		)
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[sidebar_position]',
	array(
		'sanitize_callback'   => 'pushpa_sanitize_select',
		'default'             => $options['sidebar_position'],
	)
);

$wp_customize->add_control(  new  pushpa_Custom_Radio_Image_Control ( $wp_customize,
	'pushpa_theme_options[sidebar_position]',
		array(
			'label'               => esc_html__( 'Global Sidebar Position', 'pushpa' ),
			'section'             => 'pushpa_layout',
			'choices'			  => pushpa_global_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[post_sidebar_position]',
	array(
		'sanitize_callback'   => 'pushpa_sanitize_select',
		'default'             => $options['post_sidebar_position'],
	)
);

$wp_customize->add_control(  new  pushpa_Custom_Radio_Image_Control ( $wp_customize,
	'pushpa_theme_options[post_sidebar_position]',
		array(
			'label'               => esc_html__( 'Posts Sidebar Position', 'pushpa' ),
			'section'             => 'pushpa_layout',
			'choices'			  => pushpa_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[page_sidebar_position]',
	array(
		'sanitize_callback'   => 'pushpa_sanitize_select',
		'default'             => $options['page_sidebar_position'],
	)
);

$wp_customize->add_control( new  pushpa_Custom_Radio_Image_Control( $wp_customize,
	'pushpa_theme_options[page_sidebar_position]',
		array(
			'label'               => esc_html__( 'Pages Sidebar Position', 'pushpa' ),
			'section'             => 'pushpa_layout',
			'choices'			  => pushpa_sidebar_position(),
		)
	)
);